Skip to content
Gowd Platform Production

Request account closure

POST
/order/v1/banking/accounts/{accountId}/close-request

Request the closure of a banking account. The request starts as PENDING until it is analysed.

accountId
required
string format: uuid

Identifier of the account

object
closeRequestReason

Reason informed by the caller for closing the account.

string
Example
Customer requested account closure

The resource was returned successfully

object
closeAccountRequestId
required

Identifier of the close account request.

string
Example
d3f46d1e-3f35-4cf9-9bcb-15c0b7c8f84a
accountId
required

Identifier of the account.

string
Example
30825afc-4fe3-409d-b1e9-b6c1914c11dd
status
required

Current status of the close account request.

string
Allowed values: PENDING CONFIRMED CANCELLED
Example
PENDING
object
error
string
Example
INVALID_REQUEST
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[
{
"field": "field_name",
"issue": "INVALID",
"description": "Field is invalid"
}
]

Unauthorized Request

object
error
string
Example
UNAUTHORIZED
message
string
Example
Unauthorized Request
details
Array<object>
object
field
string
issue
string
description
string
Example
[]
object
error
string
Example
FORBIDDEN_ERROR
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]
object
error
string
Example
INTERNAL_ERROR
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]